<template xmlns:v-slot="http://www.w3.org/1999/XSL/Transform">
    <v-layout align-center justify-center column>

        <v-card color="amber" width="90%">
            <v-card-title primary-title>
                <v-layout align-center justify-center row>
                    <h5 class="ma-1 mr-3">
                        داشبورد
                    </h5>
                </v-layout>
            </v-card-title>
        </v-card>

        <v-card class="mt-2" width="90%">
            <v-layout class="pa-4" column align-center justify-center>
                <v-progress-circular v-show="this.dataLoading === true" align-center justify-center indeterminate
                                     color="amber"></v-progress-circular>

                <v-layout v-show="this.dataLoading === false" wrap align-center justify-center>

                    <v-flex class="pa-1" xs12 md3 sm6>
                        <v-text-field
                                v-model="selectedItem.all"
                                label="همه درخواست ها"
                                filled
                                shaped
                                box
                                read-only
                                color="success"
                        ></v-text-field>
                    </v-flex>
                    <v-flex class="pa-1" xs12 md3 sm6>
                        <v-text-field
                                v-model="selectedItem.today"
                                label="امروز"
                                filled
                                shaped
                                box
                                disabled
                        ></v-text-field>
                    </v-flex>
                    <v-flex class="pa-1" xs12 md3 sm6>
                        <v-text-field
                                v-model="selectedItem.week"
                                label="یک هفته اخیر"
                                filled
                                shaped
                                box
                                disabled
                        ></v-text-field>
                    </v-flex>
                    <v-flex class="pa-1" xs12 md3 sm6>
                        <v-text-field
                                v-model="selectedItem.month"
                                label="یک ماه اخیر"
                                filled
                                shaped
                                box
                                disabled
                        ></v-text-field>
                    </v-flex>

                </v-layout>

            </v-layout>
        </v-card>
    </v-layout>
</template>
<script>
    import {mapActions, mapState} from "vuex";

    export default {
        name: "marketerDashboard",
        methods: {
            ...mapActions({
                readData: 'marketerDashboard/readData',
            }),
        },
        computed: {
            ...mapState({
                selectedItem: state => state.marketerDashboard.selectedItem,
                dataLoading: state => state.marketerDashboard.dataLoading,
            })
        },
        mounted() {
            this.readData();
        },

    }
</script>
<style scoped>
</style>